HomePhabricator

Wrap lines in <pre> and .mw-code by default

Authored by Krinkle.

Description

Wrap lines in <pre> and .mw-code by default

No longer create inline scrollbars and/or page-level scrollbarts
with the content escaping the skin container.

This used to be an option in SyntaxHighlighter Geshi (using enclose="div")
but it makes more sense to do by default.

Also move the 'direction' and 'unicode-bidi' rules that currently
live in SyntaxHighlighter extension. Make them the default instead.

Pre-wrap is supported by IE 8+, Firefox 3.5+, Chrome 1+, Opera 8+,
and Safari 3+.

Bug: T103780
Change-Id: Icd8b9bd56d6abc7b64c93e89541cf32c55cf7686